$pointer-size: 2rem !default;
$media-block-height: 350px !default;
$media-block-height-small: 250px !default;
.media-block {
    background-color: $primary-color;
    color: white;
    display: inline-block;
    margin-bottom: $spacing-medium;
    .media-block__media,
    .media-block__text {
        display: block;
        @include breakpoint(medium) {
            max-height: $media-block-height;
            float: left;
        }
        .media-block--small & {
            @include breakpoint(medium) {
                max-height: $media-block-height-small;
            }
        }
    }
}

.media-block__media {
    overflow: hidden;
    position: relative;
    @include breakpoint(medium) {
        max-width: 45%;
        .media-block--reversed & {
            float: right;
            //1px rounding errors
            margin-right:-1px;
        }
    }
    img {
        display: block;
        float: none;
        @include breakpoint(medium) {
            //position: absolute;
            height: 100%;
            width: auto;
            max-width: initial;
            max-height: $media-block-height;
            .media-block--reversed & {
                right: 0;
                margin-bottom: 0;
            }
            .media-block--small & {
                max-height: $media-block-height-small;
                margin-bottom: 0;
            }
        }
    }
    &:after {
        content: '';
        width: $pointer-size;
        height: $pointer-size;
        transform: rotate(45deg);
        display: none;
        position: absolute;
        background: $primary-color;
        transform: rotate(45deg);
        left: $pointer-size * 1.75;
        top: -$pointer-size * .5;
        margin-left: -$pointer-size * .5;
        @include breakpoint(medium) {
            display: inline-block;
            left: auto;
            right: -$pointer-size * .5;
            top: 25%;
            margin-top: -$pointer-size * .5;
            margin-left: 0;
            .media-block--reversed & {
                left: -$pointer-size * .5;
                top: 25%;
                right: auto;
                margin-top: -$pointer-size * .5;
            }
        }
    }
}

.media-block__text {
    @include breakpoint(medium) {
        max-width: 55%;
    }
    .media-block--small & {
        @include breakpoint(large) {
          //  max-width: 65%;
        }
    }
    position: relative;
    padding: 1vw $pointer-size;
    table {
        width: 100%;
        height: 100%;
        table-layout: fixed;
        th,
        td {
            height: 33.33%;
            padding-bottom: $spacing-small;
            vertical-align: middle;
            .button {
                margin-bottom: 0;
            }
        }
        tr {
            &:first-child {
                td,
                th {
                    padding-top: $spacing-small * 1.5;
                    h1,
                    h2,
                    h3 {
                        margin: 0;
                    }
                }
            }
            &:last-child {
                td {
                    .button{
                        border: 1px solid;
                    }
                    >a {
                      @include prx-button();
                      @extend .button;
                      border: 1px solid $white;
                      border-radius: $button-radius;
                        //text-indent: 10px;
                        //hide- jive icon cause we dont wether it will be right or left
                        background-image: none;
                       
                    }
                    @include breakpoint(medium) {
                        vertical-align: bottom;
                        text-align: right;
                    }
                }
            }
        }
    }
    h1,
    h2,
    h3 {
        color: white;
        line-height: 1.25;
    }
    &:after {
        content: '';
        width: $pointer-size;
        height: $pointer-size;
        transform: rotate(45deg);
        display: inline-block;
        position: absolute;
        background: $primary-color;
        transform: rotate(45deg);
        left: $pointer-size * 1.75;
        top: -$pointer-size * .5;
        margin-left: -$pointer-size * .5;
        @include breakpoint(medium) {
            display: none;
        }
    }
}

.media-block--light {
    background-color: $light-bg;
    color: $primary-color;
    h1,
    h2,
    h3 {
        color: $primary-color;
    }
    .media-block__text,
    .media-block__media {
        &:after {
            background: $light-bg;
        }
    }
}

.media-block--secondary {
    background-color: $secondary-color;
    .media-block__text,
    .media-block__media {
        &:after {
            background: $secondary-color;
        }
    }
}